net.i2p.router.transport.udp

## Enum PeerTestState.Role

- java.lang.Object
- - java.lang.Enum<PeerTestState.Role>
  - - net.i2p.router.transport.udp.PeerTestState.Role

- All Implemented Interfaces:
    Serializable, Comparable<PeerTestState.Role>
  Enclosing class:
    PeerTestState

      public static enum PeerTestState.Role
      extends Enum<PeerTestState.Role>

  Roles for peer testing scenarios. Defines the participant's role in connectivity testing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALICE`
    `BOB`
    `CHARLIE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PeerTestState.Role` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PeerTestState.Role[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALICE

          public static final PeerTestState.Role ALICE

    - #### BOB

          public static final PeerTestState.Role BOB

    - #### CHARLIE

          public static final PeerTestState.Role CHARLIE

  - ### Method Detail

    - #### valueOf

          public static PeerTestState.Role valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static PeerTestState.Role[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PeerTestState.Role c : PeerTestState.Role.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared